package opc.ua.services.common;

public class ExpandedNodeId {

	/** this type is defined as Index in the specification **/
	private int serverIndex;
	
	private String namespaceUri;

	/** this type is defined as Index in the specification **/
	private int namespaceIndex;
	
	/** Type of the identifier element of the NodeId. **/
	private String identifierType;
	
	private String identifier;

	public int getServerIndex() {
		return serverIndex;
	}

	public void setServerIndex(int serverIndex) {
		this.serverIndex = serverIndex;
	}

	public String getNamespaceUri() {
		return namespaceUri;
	}

	public void setNamespaceUri(String namespaceUri) {
		this.namespaceUri = namespaceUri;
	}

	public int getNamespaceIndex() {
		return namespaceIndex;
	}

	public void setNamespaceIndex(int namespaceIndex) {
		this.namespaceIndex = namespaceIndex;
	}

	public String getIdentifierType() {
		return identifierType;
	}

	public void setIdentifierType(String identifierType) {
		this.identifierType = identifierType;
	}

	public String getIdentifier() {
		return identifier;
	}

	public void setIdentifier(String identifier) {
		this.identifier = identifier;
	}
	
}
